<template>
  <div class="bg-01 bg-contain w-screen h-screen flex flex-col">
    <!-- Auth Card Container -->
    <div class="grid place-items-center mx-2 my-20 sm:my-auto">
      <!-- Auth Card -->
      <div
        class="w-11/12 p-12 sm:w-8/12 md:w-6/12 lg:w-5/12 2xl:w-4/12 px-6 py-10 sm:px-10 sm:py-6 bg-tek-white rounded-lg shadow-md lg:shadow-lg"
      >
        <!-- Card Title -->
        <h2
          class="text-center font-semibold text-3xl lg:text-4xl text-gray-800"
        >
          <span class="text-tek-main">S</span>e connecter
        </h2>

        <form class="mt-10" method="POST">
          <!-- Email Input -->
          <label
            for="email"
            class="block text-xs font-semibold text-tek-black uppercase"
          >
            E-mail
          </label>
          <input
            v-model="user.email"
            id="email"
            type="email"
            name="email"
            placeholder="adresse e-mail"
            autocomplete="email"
            class="block w-full py-3 px-1 mt-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            required
          />

          <!-- Password Input -->
          <label
            for="password"
            class="block mt-2 text-xs font-semibold text-tek-black uppercase"
          >
            Mot de passe
          </label>
          <input
            v-model="user.password"
            id="password"
            type="password"
            name="password"
            placeholder="mot de passe"
            autocomplete="current-password"
            class="block w-full py-3 px-1 mt-2 mb-4 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            required
          />

          <!-- Auth Buttton -->
          <button
            @click.once.prevent="handleLogin()"
            type="submit"
            class="w-full py-3 mt-10 bg-tek-main text-tek-black rounded-sm font-medium text-white uppercase focus:outline-none hover:bg-gray-700 hover:shadow-none"
          >
            CONNEXION
          </button>

          <!-- Another Auth Routes -->
          <div class="sm:flex sm:flex-wrap mt-8 sm:mb-4 text-sm text-center">
            <inertia-link :href="route('index')">
              <span class="flex-2 underline text-tek-black">
                Retour accueil
              </span>
            </inertia-link>
            <p class="flex-1 text-tek-black text-md mx-4 my-1 sm:my-auto">
              ou
            </p>
            <inertia-link :href="route('register')">
              <span class="flex-2 underline text-tek-black">
                Creer un compte
              </span>
            </inertia-link>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      user: {
        email: null,
        password: null,
      },
    }
  },
  methods: {
    handleLogin() {
      this.$inertia.post(this.route('connect'), this.user)
    },
  },
}
</script>
